Bug 1121397 - oVirt does not support creation of vm with block disks from a thin-provision file snapshot
Summary: oVirt does not support creation of vm with block disks from a thin-provision ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.1
Assignee: Amit Aviram
QA Contact: Pavel Stehlik
URL:
Whiteboard: storage
Depends On:
Blocks: 1193195
TreeView+ depends on / blocked
 
Reported: 2014-07-20 12:05 UTC by Ori Gofen
Modified: 2016-05-26 01:50 UTC (History)
12 users (show)

Fixed In Version: ovirt-3.5.1_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 22:14:51 UTC
oVirt Team: Storage
amureini: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 35225 master MERGED core: Image configuration adjustments for cloning a VM Never
oVirt gerrit 35599 ovirt-engine-3.5 MERGED core: Image configuration adjustments for cloning a VM Never

Description Ori Gofen 2014-07-20 12:05:41 UTC
Description of problem:
oVirt does not support creation of vm with block disks from a thin-provision
file snapshot,but doesn't grey this options out.
instead the ui pops an error message:
"Cannot add VM. Disk configuration (RAW Sparse) is incompatible with the storage domain type"
Version-Release number of selected component (if applicable):
beta.1

How reproducible:
100%

Steps to Reproduce:
1.have a vm+thin nfs disk
2.create snapshot
3.create vm from this vm(resource allocation iscsi)

Actual results:
Engine does not support creation of iscsi vm from a thin nfs snapshots

Expected results:
this options should be greyed out

Additional info:

Comment 1 Allon Mureinik 2014-07-20 12:27:39 UTC
Tal, isn't this a duplicate?

Comment 2 Allon Mureinik 2014-08-27 16:47:44 UTC
(In reply to Allon Mureinik from comment #1)
> Tal, isn't this a duplicate?
Tal, any progress here?

Comment 3 Amit Aviram 2014-11-19 13:48:18 UTC
Actually- the engine shouldn't block this action- it is supposed to support it. therefor the patch will let the user to perform the cloning.

Comment 4 Sandro Bonazzola 2015-01-15 14:11:23 UTC
This bug is in modified state and is referenced in ovirt-engine-3.5.1_rc1 code.
Can you please check if this is fixed in 3.5.1 and change target accordingly?

Comment 5 Sandro Bonazzola 2015-01-15 14:14:45 UTC
This is an automated message: 
This bug should be fixed in oVirt 3.5.1 RC1, moving to QA


Note You need to log in before you can comment on or make changes to this bug.